Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | List of all members
eZInstallScriptPackageInstaller Class Reference
The package manager system
Inheritance diagram for eZInstallScriptPackageInstaller:

## Public Member Functions
| __construct ( $package, $type, $installItem, $name=null, $steps=null)
| packageInitialState ( $package, &$persistentData)
| customInstallHandlerInfo ( $package, $installItem)
| stepTemplate ( $package, $installItem, $step)
Public Member Functions inherited from eZPackageInstallationHandler
| generateStepMap ( $package, &$persistentData)
| attributes ()
| hasAttribute ( $name)
| attribute ( $name)
| initializeStepMethodMap ()
| validateStepMethodMap ()
| commitStepMethodMap ()
& | stepMap ()
| initializeStep ( $package, $http, $step, &$persistentData, $tpl, $module)
| validateStep ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| validateAndAdvanceStep ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| commitStep ( $package, $http, $step, &$persistentData, $tpl)
| reset ()
| finalize ( $package, $http, &$persistentData)
| packageType ( $package, &$persistentData)

## Additional Inherited Members
Static Public Member Functions inherited from eZPackageInstallationHandler
static | instance ( $package, $handlerName, $installItem)
Public Attributes inherited from eZPackageInstallationHandler
| $Package
| $Attributes
| $InitializeStepMethodMap
| $ValidateStepMethodMap
| $CommitStepMethodMap
| $InstallItem
| $StepMap

## Detailed Description

Definition at line 16 of file ezinstallscriptpackageinstaller.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZInstallScriptPackageInstaller::__construct | ( |  | $package,
|  |  | $type,
|  |  | $installItem,
|  |  | $name = `null`,
|  |  | $steps = `null`
| ) |  |

The Constructor should be implemented in the child class and call the constructor of eZPackageInstallationHandler.

Reimplemented from eZPackageInstallationHandler.

Definition at line 22 of file ezinstallscriptpackageinstaller.php.

## Member Function Documentation

## ◆ customInstallHandlerInfo()

eZInstallScriptPackageInstaller::customInstallHandlerInfo | ( |  | $package,
|  |  | $installItem
| ) |  |

Support for custom installers (stored within the package)

Reimplemented from eZPackageInstallationHandler.

Definition at line 34 of file ezinstallscriptpackageinstaller.php.

## ◆ packageInitialState()

eZInstallScriptPackageInstaller::packageInitialState | ( |  | $package,
|  | & | $persistentData
| ) |  |

Returns `'stable'`, content class packages are always stable.

Definition at line 29 of file ezinstallscriptpackageinstaller.php.

## ◆ stepTemplate()

eZInstallScriptPackageInstaller::stepTemplate | ( |  | $package,
|  |  | $installItem,
|  |  | $step
| ) |  |

Reimplemented from eZPackageInstallationHandler.

Definition at line 52 of file ezinstallscriptpackageinstaller.php.

The documentation for this class was generated from the following file:

- ezinstallscriptpackageinstaller.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.